import { Injectable } from '@angular/core';
import { ConfigService } from '@shared/config/config.service';
import { FleioApiService } from '../../fleio-api.service';
import { HttpClient } from '@angular/common/http';
import { IHypervisorModel } from '@fleio-api/openstack/model/hypervisor.model';

@Injectable({
  providedIn: 'root'
})
export class HypervisorApiService extends FleioApiService<IHypervisorModel> {
  constructor(protected httpClient: HttpClient, protected config: ConfigService) {
    super();
    this.setEndpoint(config.getPanelApiUrl('openstack/hypervisors'));
  }
}
